Bug 190404 - ttf2afm v 1.0 fails for font names with uppercase .TTF
ttf2afm v 1.0 fails for font names with uppercase .TTF
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 19:07 EDT by George N. White III
Modified: 2013-07-02 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: tetex-3.0-10.FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 07:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George N. White III 2006-05-01 19:07:43 EDT
Description of problem: ttf2afm fails for fonts with uppercase .TTF extension

Version-Release number of selected component (if applicable): 
tetex-afm-3.0-9.FC4

How reproducible: always


Steps to Reproduce:
1. cp times.ttf times.TTF
2. ttf2afm times.TTF
3.
  
Actual results:
ttf2afm: fatal: truetype fonts file `times.TTF' not found.

Expected results: afm data on stdout

Additional info: tetex provides ttf2afm ver. 1.0.  pdftex-1.30.6 and
pdftex-1.40beta have version 1.02, which does work.  The difference appears to 
be in texk/kpathsea/tex-file.c:

buggy version:
$ grep \.ttf tex-file.c
#define TRUETYPE_SUFFIXES ".ttf", ".ttc"

working versions:
$ grep \.ttf tex-file.c
#define TRUETYPE_SUFFIXES ".ttf", ".ttc", ".TTF", ".TTC"

This may affect other programs that use truetype fonts.  Users affected by this
bug should consider using pdftex-1.30.6, which has a number of bug fixes.
Comment 1 Jindrich Novy 2006-05-10 07:50:19 EDT
Ok, I modified also the other suffixes so that they are searched in uppercase as
well. The new tetex-3.0-24 that contains the fix is now built.
Comment 2 Fedora Update System 2006-05-26 10:10:25 EDT
tetex-3.0-10.FC4 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-06-07 19:37:28 EDT
tetex-3.0-10.FC4 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 George N. White III 2006-06-08 07:09:54 EDT
Thanks. ttftoafm in tetex-3.0-10.FC4 works for .TTF fonts now.

Note You need to log in before you can comment on or make changes to this bug.